=== debian/changelog ===
thunderbird (1:91.8.0-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 11 Apr 2022 09:02:50 +0200

thunderbird (1:91.8.0-1) unstable; urgency=medium

  * [06619c5] New upstream version 91.8.0
    Fixed CVE issues in upstream version 91.8 (MFSA 2022-15):
    CVE-2022-1097: Use-after-free in NSSToken objects
    CVE-2022-28281: Out of bounds write due to unexpected WebAuthN Extensions
    CVE-2022-1197: OpenPGP revocation information was ignored
    CVE-2022-1196: Use-after-free after VR Process destruction
    CVE-2022-28282: Use-after-free in DocumentL10n::TranslateDocument
    CVE-2022-28285: Incorrect AliasSet used in JIT Codegen
    CVE-2022-28286: iframe contents could be rendered outside the border
    CVE-2022-24713: Denial of Service via complex regular expressions
    CVE-2022-28289: Memory safety bugs fixed in Thunderbird 91.8

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Apr 2022 20:08:25 +0200
